#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{ long long int n, x,i,lep=0;
 scanf("%lli %lli", &n,&x);
 long long int nt[n];
 for(i=0;i<n;i++)
 {
     scanf("%lli", &nt[i] );
 }

 if(x<=nt[0])
 {
     printf("%lli", nt[n-1]-1);
 }
 else
    {
        for(i=0;i<n;i++)
        {
            lep=lep+ abs(nt[i]-x);
            x=nt[i];
        }

        printf("\n%lli",lep);
 }

  return 0;
}